Doomsday Engine - Bug #2201

Some packages not recognized (builds 2238, 2239)
2017-02-19 02:31 - Drako

Status: Closed Start date: 2017-02-19
Priority: High % Done: 100%
Assignee: skyjake

Category: Regression

Target version:

Description

In build 2238 some packages (with .zip extension) which contain other packages inside are not correctly processed. They were
correctly recognized in build 2230 (2230.jpg) but are not anymore in build 2238 (2238.jpg).

Moreover the jd3rp.pk3 package does not load anymore in build 2238 (see doomsday2238.out).

Build 2239 generates the error messagebox when executed for the first time (when persist.pack is not present) (see 2239.jpg). The
second execution ends up with the black screen which | have to close using alt+F4 (see doomsday2239.out).

Associated revisions

Revision f7247bce - 2017-02-20 10:31 - skyjake

Fixed|Resources: Crash when loading MD2 models

IssuelD #2201

History

#1 - 2017-02-19 06:28 - skyjake
- Tags set to Resources, FileSystem

- Assignee set to skyjake

#2 - 2017-02-19 22:57 - skyjake
- Target version changed from 2.0 — Home Ul & Packages to 49
Drako wrote:
In build 2238 some packages (with .zip extension) which contain other packages inside are not correctly processed.
This is intended behavior. | purposefully disabled the detection of all files with a .zip extension as being packages. Doomsday needs a couple of
tweaks to make it efficient to allow analyzing all .zip files to see if they potentially are packages. I'm probably not going to implement that for the 2.0
release.
In the meantime, you could try unzipping the .zips in question or if they actually are PK3s, changing the file extension to .pk3 or .pk3.zip.

jd3rp.pk3 package does not load anymore in build 2238

I'll need to test this on my system to see what's going on. Do you have a download link or Dropbox share link for me?

Build 2239 generates the error messagebox when executed for the first time

This should be fixed in upcoming builds.

#3 - 2017-02-19 22:58 - skyjake
- % Done changed from 0 to 50

#4 - 2017-02-20 03:13 - Drako

skyjake wrote:

jd3rp.pk3 package does not load anymore in build 2238
I'll need to test this on my system to see what's going on. Do you have a download link or Dropbox share link for me?

Here is a link: http://www64.zippyshare.com/v/4C2vp4Af/file.html (found in the description of https://www.youtube.com/watch?v=IGCItIFyO-Y) | had

to click about 5 times on "Download Now" in order the download to begin.

#5 - 2017-02-20 05:29 - Drako
- File doomsday2241.out added

jd3rp.pk3 crashes the doomsday after clicking "Play", just before the rotating thing is full (see doomsday2241.out).
jdrp20070404.zip works fine if renamed to jdrp20070404.pk3
jdrp1.1.zip works fine only after decompressing all the pk3 files which are inside (in this zip there are 66 pka3 files and nothing else.)

#6 - 2017-02-20 08:21 - skyjake

Drako wrote:

Here is a link:

Thanks, | now have the file. :)

#7 - 2017-02-20 12:45 - skyjake

The crash should be fixed in the next build.

#8 - 2017-02-20 12:45 - skyjake
- Status changed from New to Resolved

- % Done changed from 50 to 100

#9 - 2017-03-04 11:49 - skyjake

- Status changed from Resolved to Closed

#10 - 2017-03-15 08:13 - skyjake
- Target version deleted (49)

Files

2230.jpg 108 KB 2017-02-19 Drako
2238.jpg 103 KB 2017-02-19 Drako
2239.jpg 12.8 KB 2017-02-19 Drako
doomsday2238.out 52.4 KB 2017-02-19 Drako
doomsday2239.out 5.88 KB 2017-02-19 Drako
doomsday2241.out 52.2 KB 2017-02-20 Drako
